#
# beesPageTemplate.py
#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Bees Software.
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#

import sys

def updateProgress(msg):
    print "<p>" + msg
    sys.stdout.flush()

progressHeader = """<html>
<head>
<title>%(title)s</title>
</head>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<table width="100%%" cellpadding="0" cellspacing="0" border="0">
<tr>
  <td align=center bgcolor="#dddddd" colspan="2">
  <br>
  <h2>Bees Script Progress</h2>
  </td>
</tr>
<tr>
</table>
"""

progressFooter = """
</body>
</html>
"""

header = """
<html>
<head>
<title>%(title)s</title>
</head>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" bgcolor="#c0c0c0">

<table width="100%%" cellpadding="0" cellspacing="0" border="0">
<tr>
  <td align=center bgcolor="#dddddd" colspan="2">
  <br>
  <h2>Bees Control Panel</h2>
  </td>
</tr>
<tr>

  <td width=150 align=center valign=top bgcolor="#cccccc">
  <table cellpadding="10" border="0">
    <tr><td>
    <p><a href="/index.html">Home</a>
    <p><a href="/cgi-bin/configuration.py">Configuration</a>
    <p><a href="/cgi-bin/status.py">Status</a>
    <p><a href="/cgi-bin/capability-list.py?path=">Capabilities</a>
    <p><a href="/tools.html">Tools</a>
    </td></tr>
    <tr><td>
    </td></tr>
    <tr><td>
    <p><a href="%(help-file)s">Help</a>
    </td></tr>
  </table>
  </td>
  
  <td valign=top width="85%%" rowspan="2">
  <table border="0" cellpadding="10" bgcolor="#c0c0c0">
  <tr><td>
"""

footer = """
  </td></tr>
  </table>
  </td>
</tr>

<tr>
<td width=150 align=center valign=bottom bgcolor="#cccccc">
<font size="1">
<br><a href="mailto:janos-discuss@fast.cs.utah.edu">Janos Mailing List</a>
<br>Last Modified: %(time)s
</font>
</td>
</tr>

</table>
</body>

</html>
"""
